Description

Also reported to the workspaces team http://forge.typo3.org/issues/11539

I don't know whether this is "by design" or a bug:

Is it really not possible anymore to view the workspace version and the live version of a page together? for me it's just possible to see
the top area of the workspace version and the bottom area of the live version but I want to see the same area from both pages.

Related issues:
related to Core - Bug # 11539: Split view Resolved 2010-12-17
related to TYPO3 CMS Usability Team - Bug # 31746: Workspace Preview, splitte... Accepted 2011-11-11

History
#1 - 2010-12-17 13:28 - Jens Hoffmann

If I got this issue right, it was planed like that.

But maybe you could be a bit more precise and
supply some more details. Se we could under-
stand your worries a bit better :)

What would be your solution for that?

#2 - 2010-12-17 13:41 - Susanne Moog

Ok, I'll try to make myself a bit clearer:

My problem is that if I change some part of my webpage I want to see in the comparison view how it looked before and how it looks now. The way the
comparison view is implemented I can see the changed part of the website either before or after but not simultaneously next to each other.
ASCII art try:
Now
 ______________________________________

top part of page in workspace 
mode
___________________________

___________

bottom part of page in live mode
___________________________

___________
How to compare the same part in both modes?
How would I solve it:
 ______________________________________

top part of page in workspace 
mode   sb

___________________________
___________

top part of page in live mode        
sb

___________________________
___________

sb = scrollbar
so you always see the same part of the page and have synchronized scrollbars for live and workspace view.

is this clearer? (maybe ascii art isn't that good an idea .. try to do a screenshot later)

#3 - 2010-12-17 15:51 - Jens Hoffmann

Via Skype we decided (for this first release) to keep it like it is right now.

For the future we would wish to have:

4 ways of comparison:

    -  Horizontal overlay (via Horizontal slider) << like it is right now
    -  Vertical overlay (via Horizontal slider)
    -  Opacity overlay (via Horizontal slider)
    -  Horizontal Split view 50% Top / 50% Bottom

This could be set:

    -  Via a context Menu beside the Slider UI
    -  Via User Settings (TS)
    -  Via Global TS for a installation

Would be very helpful if someone who dislike the current approach 
would help out and continuing the existing development by creating
the planned roadmap steps, as suggested here. :) Susanne?

#4 - 2010-12-31 17:58 - Lars Zimmermann
- Status changed from New to Needs Feedback

Hi Jens & Susanne,

I also heard that issue Susanne had from Steffen. I totally love the actual solution as Jens had the idea in Stuttgart (not only from usability standpoint -
but also how it's technically implemented - cool work guys - I don't know any CMS that has such a "cool"-feeling-feature), but I do understand Susanne
as a power-user (which I am not in "workspaces" until today), that she wants to have a view, where she can compare two states of a website
comfortably on a big screen next to each other, without having the need to push a slider over an over again, simply to see the differences.

What Jens posted above sounds very reasonable (I had the very same idea with Steffen some days ago). The user should simply be able to choose
the preferred view via a small menu (icons, dropdown, whatever) next to the slider (the slider only appears in sliding-compare-views where it makes
sense to have) - the other two should be 50%/50% horizontally or 50%/50% vertically (for big screens to have two pages side by side)?

Good suggestion Susanne! Reasonable solution Jens! :)
Love it... =)

#5 - 2011-01-15 17:56 - Tolleiv Nietsch

Thanks for the feedback - we're going to implement the suggestions Jens brought up. I think it's fine to close this issue.

#6 - 2013-08-26 15:46 - Jens Hoffmann
- Status changed from Needs Feedback to Closed

Done.
